#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi                                               
# build depends
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"
su -c 'tce-load -i compiletc submitqc4 wget ' tc

P=pixman
SRC=pixman-0.30.0
V=pixman-dev

# start 
cd /tmp
su -c '/usr/local/bin/wget -nc http://xorg.freedesktop.org/archive/individual/lib/pixman-0.30.0.tar.gz -O /tmp/pixman-0.30.0.tar.gz ' tc
tar xvf gunzip pixman-0.30.0.tar.gz

# start 
cd /tmp/pixman-0.30.0
./configure --prefix=/usr/local 
make -j3
make DESTDIR=/tmp/pixman install

#####
# dev
#####
cd /tmp

mkdir -p $V/usr/local/share/doc/pixman-dev
mkdir -p $V/usr/local/lib

cp -f $SRC/COPYING $V/usr/local/share/doc/pixman-dev
mv $P/usr/local/lib/pkgconfig/ $V/usr/local/lib
mv $P/usr/local/lib/*a $V/usr/local/lib/
mv $P/usr/local/include $V/usr/local

chmod 644 $V/usr/local/include/pixman-1/*
chmod 644 $V/usr/local/lib/*a
chmod 644 $V/usr/local/lib/pkgconfig/*

mksquashfs $V $V.tcz
md5sum $V.tcz > $V.tcz.md5.txt
cd $V
find usr -not -type d > $V.tcz.list
mv -f $V.tcz.list /tmp

#########
# main 
##########
cd /tmp

mkdir -p $P/usr/local/share/doc/$P
cp -f $SRC/COPYING $P/usr/local/share/doc/$P

mksquashfs $P $P.tcz
md5sum $P.tcz > $P.tcz.md5.txt
cd $P
find usr -not -type d > $P.tcz.list
mv -f $P.tcz.list /tmp

# finish off 
cd /tmp

echo 'pixman.tcz' > /tmp/pixman-dev.tcz.dep

echo 'Title:          pixman.tcz
Description:    Pixel manipulation library. 
Version:        0.30.0
Author:         see enclosed COPYING 
Original-site:  http://xorg.freedesktop.org/archive/individual/lib/
Copying-policy: enclosed MIT called COPYING
Size:		
Extension_by:   aus9
Tags:	    	Pixel manipulation pixman
Comments:	pixman is a library that provides low-level 
		pixel manipulation features such as image 
		compositing and trapezoid rasterization.       

Change-log:     2008/09/10 First version (Jason W)
                2009/01/10 Rebuilt for i486, size, cramfs.
	        2009/02/19 Updated to 0.14.0 
		2009/07/02 Updated to 0.15.14
		2010/05/26 Updated to 0.18.2
		2010/10/10 Updated to 0.18.4
		2011/02/13 Updated to 0.20.2
		2011/07/11 Updated to 0.22.2 (Curaga)
		2013/02/07 Updated to 0.28.2 (aus9)
Current:	2013/05/10 Updated to 0.30.0
' > /tmp/pixman.tcz.info

echo 'Title:          pixman-dev.tcz
Description:    dev files for pixman 
Version:        0.30.0
Author:         see enclosed COPYING 
Original-site:  http://xorg.freedesktop.org/archive/individual/lib/
Copying-policy: enclosed MIT called COPYING
Size:		
Extension_by:   aus9
Tags:	    	Pixel manipulation pixman
Comments:	dev files for pixman       

Change-log:     2008/09/10 First version (Jason W)
                2009/01/10 Rebuilt for i486, size, cramfs.
	        2009/02/19 Updated to 0.14.0 
		2009/07/02 Updated to 0.15.14
		2010/05/26 Updated to 0.18.2
		2010/10/10 Updated to 0.18.4
		2011/02/13 Updated to 0.20.2
		2011/07/11 Updated to 0.22.2 (Curaga)
		2013/02/07 Updated to 0.28.2 (aus9)
Current:	2013/05/10 Updated to 0.30
' > /tmp/pixman-dev.tcz.info

submitqc4